Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83598 - pam_xauth does not copy gnuserv cookie
Summary: pam_xauth does not copy gnuserv cookie
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pam
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-05 23:55 UTC by Matt Tucker
Modified: 2010-12-06 11:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-06 11:13:55 UTC


Attachments (Terms of Use)

Description Matt Tucker 2003-02-05 23:55:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021206

Description of problem:
When attempting to use Emacs's gnuserv/gnuclient in conjunction with su,
pam_xauth does not copy the :999 xauth cookie, rendering gnuclient unuseable by
root (or whatever other account is su'd to).

How reproducible:
Always

Steps to Reproduce:
1. Start Emacs/XEmacs
2. Do M-x gnuserv-start
3. From command-line, do:
   $ gnuclient -batch -eval '(princ "Hello world")'
4. Should get an output in the *Messages* buffer on XEmacs (or equiv
   on Emacs).
5. Do:
   $ su -c "gnuclient -batch -eval '(princ \"Hello world\")'"

Actual Results:
   gnuclient: Connection refused
   gnuclient: unable to connect to remote

Expected Results:
   Should get and output in the *Messages* buffer (or Emacs equiv), as in 4.

Comment 1 Tomas Mraz 2004-11-16 14:50:48 UTC
Is this bug still in the latest Fedora Core?

Comment 2 Matt Tucker 2004-11-16 23:44:33 UTC
Yes, this bug is still there. xauth_pam only copies the cookie
associated with DISPLAY, but doesn't copy the 999 cookie, which is
required for proper gnuserv/gnuclient operation.

Comment 3 Tomas Mraz 2010-12-06 11:13:55 UTC
I do not plan to work on this problem any time soon. Please reopen if you have patch.


Note You need to log in before you can comment on or make changes to this bug.